Subject: bleadperl, now problems on cygwin
From: "Gerrit P. Haase" <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Sun, 8 Jul 2001 15:51:56 +0200

Hi Cygwinners, Porters,

PATCHLEVEL IS 11210.

Got now failures during building on Cygwin.
The extensions:
	I18N::Langinfo
	POSIX
failed to compile.

My building options were:
Configure -de -Dusedevel \
              -Dmksymlinks  \
              -Dusemultiplicity \
              2>&1 | tee log.configure
make -k -w 

[...]

	Making I18N::Langinfo (dynamic)
Writing Makefile for I18N::Langinfo
make[1]: Entering directory `/cygdrive/e/buildperl/ext/I18N/Langinfo'
make[1]: Leaving directory `/cygdrive/e/buildperl/ext/I18N/Langinfo'
make[1]: Entering directory `/cygdrive/e/buildperl/ext/I18N/Langinfo'
cp Langinfo.pm ../../../lib/I18N/Langinfo.pm
AutoSplitting ../../../lib/I18N/Langinfo.pm (../../../lib/auto/I18N/Langinfo)
../../../miniperl -I../../../lib -I../../../lib ../../../lib/ExtUtils/xsubpp  -typemap ../../../lib/ExtUtils/typemap  Langinfo.xs > Langinfo.xsc && mv 
Langinfo.xsc Langinfo.c
gcc -c  -DPERL_USE_SAFE_PUTENV -Wall -fno-strict-aliasing -I/usr/local/include -DUSEIMPORTLIB -O2   -DVERSION=\"0.01\" -DXS_VERSION=\"0.01\"  -
I../../..  Langinfo.c
Langinfo.xs: In function `XS_I18N__Langinfo_langinfo':
Langinfo.xs:829: warning: implicit declaration of function `nl_langinfo'
Langinfo.xs:829: warning: initialization makes pointer from integer without a cast
Running Mkbootstrap for I18N::Langinfo ()
chmod 644 Langinfo.bs
rm -f ../../../lib/auto/I18N/Langinfo/Langinfo.dll
LD_RUN_PATH="" ld2  -s -L/usr/local/lib Langinfo.o  -o ../../../lib/auto/I18N/Langinfo/Langinfo.dll  ../../../libperl5_7_1.a   
dllwrap --dllname Langinfo.dll --driver-name gcc --dlltool dlltool --export-all-symbols --as as --output-def libLanginfo.def --output-lib libLanginfo.a 
\
- -s -L/usr/local/lib Langinfo.o  ../../../libperl5_7_1.a
dllwrap: no export definition file provided
dllwrap: creating one, but that may not be what you want
Langinfo.o(.text+0xe89):Langinfo.c: undefined reference to `nl_langinfo'
collect2: ld returned 1 exit status
dllwrap: gcc exited with status 1
perlld: *** system() failed to execute
dllwrap --dllname Langinfo.dll --driver-name gcc --dlltool dlltool --export-all-symbols --as as --output-def libLanginfo.def --output-lib libLanginfo.a 
\
- -s -L/usr/local/lib Langinfo.o  ../../../libperl5_7_1.a

make[1]: *** [../../../lib/auto/I18N/Langinfo/Langinfo.dll] Error 1
cp Langinfo.bs ../../../lib/auto/I18N/Langinfo/Langinfo.bs
chmod 644 ../../../lib/auto/I18N/Langinfo/Langinfo.bs
make[1]: Target `all' not remade because of errors.
make[1]: Leaving directory `/cygdrive/e/buildperl/ext/I18N/Langinfo'
make: *** [lib/auto/I18N/Langinfo/Langinfo.dll] Error 2

[...]

	Making POSIX (dynamic)
Note (probably harmless): No library found for -lposix
Note (probably harmless): No library found for -lcposix
Writing Makefile for POSIX
make[1]: Entering directory `/cygdrive/e/buildperl/ext/POSIX'
make[1]: Leaving directory `/cygdrive/e/buildperl/ext/POSIX'
make[1]: Entering directory `/cygdrive/e/buildperl/ext/POSIX'
cp POSIX.pod ../../lib/POSIX.pod
cp POSIX.pm ../../lib/POSIX.pm
AutoSplitting ../../lib/POSIX.pm (../../lib/auto/POSIX)
../../miniperl -I../../lib -I../../lib ../../lib/ExtUtils/xsubpp -noprototypes -typemap ../../lib/ExtUtils/typemap -typemap typemap  POSIX.xs > 
POSIX.xsc && mv POSIX.xsc POSIX.c
gcc -c  -DPERL_USE_SAFE_PUTENV -Wall -fno-strict-aliasing -I/usr/local/include -DUSEIMPORTLIB -O2   -DVERSION=\"1.04\" -DXS_VERSION=\"1.04\"  -I../..  
POSIX.c
POSIX.xs: In function `restore_sigmask':
POSIX.xs:532: `my_perl' undeclared (first use in this function)
POSIX.xs:532: (Each undeclared identifier is reported only once
POSIX.xs:532: for each function it appears in.)
POSIX.c: At top level:
POSIX.xs:350: warning: `not_here' defined but not used
make[1]: *** [POSIX.o] Error 1
Running Mkbootstrap for POSIX ()
chmod 644 POSIX.bs
cp POSIX.bs ../../lib/auto/POSIX/POSIX.bs
chmod 644 ../../lib/auto/POSIX/POSIX.bs
make[1]: Target `all' not remade because of errors.
make[1]: Leaving directory `/cygdrive/e/buildperl/ext/POSIX'
make: *** [lib/auto/POSIX/POSIX.dll] Error 2

gph

-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/